Package com.collibra.catalog.api.component.classification.dto

# Class ClassifyRequest

Object
ClassifyRequest

public class ClassifyRequest extends Object
Request to classify data.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ClassifyRequest.ClassifyRequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassifyRequest()`
  `ClassifyRequest(List<UUID> assetIds, List<UUID> dataClassIds)`
  Creates a new `ClassifyRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClassifyRequest.ClassifyRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getAssetIds()`
  Ids of assets (with Column, Table or DataSet type) that will be classified.
  `List<UUID>`
  `getDataClassIds()`
  `int`
  `hashCode()`
  `void`
  `setAssetIds(List<UUID> assetIds)`
  Ids of assets (with Column, Table or DataSet type) that will be classified.
  `void`
  `setDataClassIds(List<UUID> dataClassIds)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClassifyRequest

    public ClassifyRequest(List<UUID> assetIds, List<UUID> dataClassIds)
    Creates a new `ClassifyRequest` instance.
    Parameters:
      `assetIds` - Ids of assets (with Column, Table or DataSet type) that will be classified.
      `dataClassIds` -

  - ### ClassifyRequest

    public ClassifyRequest()

- ## Method Details

  - ### builder

    public static ClassifyRequest.ClassifyRequestBuilder builder()

  - ### getAssetIds

    public List<UUID> getAssetIds()
    Ids of assets (with Column, Table or DataSet type) that will be classified.

  - ### getDataClassIds

    public List<UUID> getDataClassIds()

  - ### setAssetIds

    public void setAssetIds(List<UUID> assetIds)
    Ids of assets (with Column, Table or DataSet type) that will be classified.

  - ### setDataClassIds

    public void setDataClassIds(List<UUID> dataClassIds)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`